| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ARTracker Class Referenceabstract

`#include <ARTracker.h>`

Inheritance diagram for ARTracker:
[legend]

## Public Member Functions
| ARTracker ()
virtual | ~ARTracker ()
virtual bool | initialize ()=0
virtual bool | start ()=0
virtual bool | isRunning ()=0
virtual bool | wantsUpdate ()=0
virtual bool | update ()=0
virtual bool | stop ()=0
virtual void | terminate ()=0
virtual ARTrackerType | type () const =0
virtual std::vector< std::string > | trackableConfigurations () const =0
virtual int | newTrackable (std::vector< std::string > config)=0
| ARTrackable factory method.
virtual unsigned int | countTrackables ()=0
virtual std::shared_ptr< ARTrackable > | getTrackable (int UID)=0
virtual std::vector< std::shared_ptr< ARTrackable > > | getAllTrackables ()=0
virtual bool | deleteTrackable (int UID)=0
| Removes the trackable with UID uid, if held by this tracker.
virtual void | deleteAllTrackables ()=0

## Constructor & Destructor Documentation

## ◆ ARTracker()

ARTracker::ARTracker | ( |  | ) |
| inline

## ◆ ~ARTracker()

virtual ARTracker::~ARTracker | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ countTrackables()

virtual unsigned int ARTracker::countTrackables | ( |  | ) |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ deleteAllTrackables()

virtual void ARTracker::deleteAllTrackables | ( |  | ) |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ deleteTrackable()

virtual bool ARTracker::deleteTrackable | ( | int | UID | ) |
| pure virtual

Removes the trackable with UID uid, if held by this tracker.

Returns
  true if the trackable was held by this tracker and removed, false otherwise.

Implemented in ARTrackerSquare.

## ◆ getAllTrackables()

virtual std::vector< std::shared_ptr< ARTrackable > > ARTracker::getAllTrackables | ( |  | ) |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ getTrackable()

virtual std::shared_ptr< ARTrackable > ARTracker::getTrackable | ( | int | UID | ) |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ initialize()

virtual bool ARTracker::initialize | ( |  | ) |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ isRunning()

virtual bool ARTracker::isRunning | ( |  | ) |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ newTrackable()

virtual int ARTracker::newTrackable | ( | std::vector< std::string > | config | ) |
| pure virtual

ARTrackable factory method.

single;data/hiro.patt;80 single_buffer;80;buffer=234 221 237... single_barcode;0;80 multi;data/multi/marker.dat nft;data/nft/pinball 2d;pinball.jpg;188.0

Returns
  The UID of the new trackable.

Implemented in ARTrackerSquare.

## ◆ start()

virtual bool ARTracker::start | ( |  | ) |
| pure virtual

## ◆ stop()

virtual bool ARTracker::stop | ( |  | ) |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ terminate()

virtual void ARTracker::terminate | ( |  | ) |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ trackableConfigurations()

virtual std::vector< std::string > ARTracker::trackableConfigurations | ( |  | ) | const
| pure virtual

Implemented in ARTrackerSquare.

## ◆ type()

virtual ARTrackerType ARTracker::type | ( |  | ) | const
| pure virtual

Implemented in ARTrackerSquare.

## ◆ update()

virtual bool ARTracker::update | ( |  | ) |
| pure virtual

## ◆ wantsUpdate()

virtual bool ARTracker::wantsUpdate | ( |  | ) |
| pure virtual

Implemented in ARTrackerSquare.

The documentation for this class was generated from the following file:

- Source/ARX/include/ARX/ARTracker.h